Subject: brtfs COW links and git

From: Larry D'Anna <[email-masked]>
Date: Sat, 19 Mar 2011 16:15:32 -0400

I wish git could use COW links.  I wish I could put a large binary into git and
have the only underlying filesystem operation be to cp --reflink and to save the
metadata.  There are a few complications:

How does it know which files to reflink?  attributes?  a size limit?

What does git gc do with reflinks?

Should diff-delta be reflink-aware?  Perhaps it could query the fs for
blocklists.

Before I dive into implementing this, I'd like to get your comments and advice,
to maximize the chances of success.  

Thanks!